# Function parseMmsi

- parseMmsi(mmsi: string): null | MMSIInfo

  Parse the supplied MMSI value into object containing mid, msi, type and flagCountry.

  #### Parameters

  - mmsi: string

    MMSI.

  #### Returns null | MMSIInfo

  #### Example

      app.parseMmsi('201456789')

      returns: {
        mid: 201,
        msi: 456789,
        type: 'ship',
        flagCountry: {
          alpha2: 'AL',
          alpha3: 'ALB',
          name: 'Albania'
        }
      }

  - Defined in mmsi/mmsi.ts:52